org.apache.cassandra.locator

## Class YamlFileNetworkTopologySnitch.Node

- java.lang.Object
- - org.apache.cassandra.locator.YamlFileNetworkTopologySnitch.Node

- Enclosing class:
    YamlFileNetworkTopologySnitch

      public static class YamlFileNetworkTopologySnitch.Node
      extends java.lang.Object

  Node object type for the YAML topology configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `broadcast_address`
    `java.lang.String` | `dc_local_address`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YamlFileNetworkTopologySnitch.Node()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### broadcast_address

          public java.lang.String broadcast_address

    - #### dc_local_address

          public java.lang.String dc_local_address

  - ### Constructor Detail

    - #### YamlFileNetworkTopologySnitch.Node

          public YamlFileNetworkTopologySnitch.Node()

Copyright © 2014 The Apache Software Foundation